Doomsday Engine - Bug #1884

Current MP game not automatically disconnected when connecting to a new server (unable to switch
between servers on the same IP address)

2014-10-19 19:52 - vermil

Status: Closed Start date: 2014-10-19
Priority: Normal % Done: 100%
Assignee: skyjake

Category: Defect

Target version: 1.15

Description

One can't join a different server on the same IP address.

Dday doesn't switch servers and the alert log incorrectly informs one that they are already connected.

Associated revisions

Revision bacb907a - 2015-02-05 17:01 - skyjake

Fixed|Multiplayer: Joining fails with a message "already joined"

If the game mode did not change, nobody was making sure that the
current MP game was disconnected.

IssuelD #1884

History

#1 - 2015-02-02 11:56 - skyjake

- Tags set to Multiplayer, Client

- Subject changed from [Multi] Unable to switch between servers on the same IP address to Unable to switch between servers on the same IP address
- Category set to Defect

- Status changed from New to In Progress

- Assignee set to skyjake

- Target version setto 1.15

#2 - 2015-02-05 16:25 - skyjake

The IP address is actually not the problem. The problem is that only a game mode change will automatically disconnect from the current game. The
correct behavior would be to always disconnect the current MP game before initiating a new connection.

#3 - 2015-02-05 16:26 - skyjake

- Subject changed from Unable to switch between servers on the same IP address to Current MP game not automatically disconnected when
connecting to a new server (unable to switch between servers on the same IP address)

#4 - 2015-02-05 17:33 - skyjake
- Status changed from In Progress to Resolved

- % Done changed from 0 to 100

#5 - 2015-02-05 17:33 - skyjake

- Status changed from Resolved to Closed
